Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.de
Class WordlistLoader

    java.lang.Object
      org.apache.lucene.analysis.de.WordlistLoader

public class WordlistLoader
extends Object

Loader for text files that represent a list of stopwords.

Version:
  $Id: WordlistLoader.java,v 1.10 2004/03/30 15:54:48 otis Exp $
Author:
  Gerhard Schwarz
To Do:
  this is not specific to German, it should be moved up

Constructor Summary
`WordlistLoader()`

Method Summary
`static HashSet` | `getWordSet(File wordfile)` Loads a text file and adds every line as an entry to a HashSet (omitting leading and trailing whitespace).
`static Hashtable` | `getWordtable(File wordfile)` Deprecated. Use `getWordSet(File)` getWordSet(File)} instead
`static Hashtable` | `getWordtable(String wordfile)` Deprecated. Use `getWordSet(File)` getWordSet(File)} instead
`static Hashtable` | `getWordtable(String path, String wordfile)` Deprecated. Use `getWordSet(File)` getWordSet(File)} instead

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WordlistLoader

    public WordlistLoader()

Method Detail

### getWordSet

    public static HashSet getWordSet(File wordfile)
                              throws IOException

  Loads a text file and adds every line as an entry to a HashSet (omitting leading and trailing whitespace). Every line of the file should contain only one word. The words need to be in lowercase if you make use of an Analyzer which uses LowerCaseFilter (like GermanAnalyzer).

  Parameters:
    `wordfile` - File containing the wordlist
  Returns:
    A HashSet with the file's words
  Throws:
    `IOException`

### getWordtable

    public static Hashtable getWordtable(String path,
                                         String wordfile)
                                  throws IOException

  Deprecated. Use `getWordSet(File)` getWordSet(File)} instead

  Parameters:
    `path` - Path to the wordlist
    `wordfile` - Name of the wordlist
  Throws:
    `IOException`

### getWordtable

    public static Hashtable getWordtable(String wordfile)
                                  throws IOException

  Deprecated. Use `getWordSet(File)` getWordSet(File)} instead

  Parameters:
    `wordfile` - Complete path to the wordlist
  Throws:
    `IOException`

### getWordtable

    public static Hashtable getWordtable(File wordfile)
                                  throws IOException

  Deprecated. Use `getWordSet(File)` getWordSet(File)} instead

  Parameters:
    `wordfile` - File object that points to the wordlist
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.